Admin APIStock locations
Manage Sales Channels of a Stock Location
Manage the sales channels in a stock location by adding or removing them.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
The stock location's ID.
Query Parameters
fields?string
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
Request Body
application/json
add?array<add>
The sales channels to add.
remove?array<remove>
The sales channels to remove.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/stock-locations/string/sales-channels" \ -H "Content-Type: application/json" \ -d '{}'{
"stock_location": {
"id": "string",
"name": "string",
"address_id": "string",
"address": {
"id": "string",
"address_1": "string",
"address_2": "string",
"company": "string",
"country_code": "us",
"city": "string",
"phone": "string",
"postal_code": "string",
"province": "us-ca"
},
"sales_channels": [
{
"id": "string",
"name": "string",
"description": "string",
"is_disabled": true,
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
],
"fulfillment_providers": [
{
"id": "string",
"is_enabled": true
}
],
"fulfillment_sets": [
{}
]
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}